import 'package:get/get.dart';
import 'package:sigap/src/cores/bindings/controller_bindings.dart';
import 'package:sigap/src/cores/bindings/general_bindings.dart';
import 'package:sigap/src/cores/bindings/repository_bindings.dart';
import 'package:sigap/src/cores/bindings/service_bindings.dart';

class AppBindings implements Bindings {
  @override
  Future<void> dependencies() async {
    // Register general helpers and utilities
    UtilityBindings().dependencies();

    // Register all services
    await ServiceBindings().dependencies();

    // Register all repositories
    RepositoryBindings().dependencies();

    // Register all feature controllers
    ControllerBindings().dependencies();
  }
}
